Name:           cppcheck
Summary:        Static analysis tool for C/C++
Version:        1.58
Release:        %mkrel 1
License:        GPLv3+
Group:          Development/C++
Url:            http://cppcheck.sourceforge.net/
Source:         http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
BuildRequires:  pcre-devel

%description
This program tries to detect bugs that your C/C++ compiler does not
find. Cppcheck is versatile. You can check non-standard code that includes
various compiler extensions, inline assembly code, etc. One of its goals
is no false positives.

%prep
%setup -q

%build
CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}" %make

# this command line is documented inside cppcheck.1.xml
cd man
xsltproc --nonet --param man.charmap.use.subset "0" \
   --param make.year.ranges "1" --param make.single.year.ranges "1" \
   /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl \
   cppcheck.1.xml

%check
CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}"  %make test

%install
%makeinstall_std
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/cppcheck.1 %{buildroot}/%{_mandir}/man1

%files
%doc AUTHORS readme.txt
%{_mandir}/man1/cppcheck.1*
%{_bindir}/cppcheck


%changelog

* Mon Feb 25 2013 kharec <kharec> 1.58-1.mga3
+ Revision: 400313
- Fix rpm group
- new version 1.58

* Fri Jan 11 2013 umeabot <umeabot> 1.57-2.mga3
+ Revision: 348241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.57-1.mga3
+ Revision: 325241
- new version 1.57
- clean .spec

* Mon Sep 03 2012 shlomif <shlomif> 1.56-2.mga3
+ Revision: 287642
- fix description

* Mon Sep 03 2012 kharec <kharec> 1.56-1.mga3
+ Revision: 287622
- new version 1.56

* Thu Jul 05 2012 kharec <kharec> 1.55-1.mga3
+ Revision: 267970
- 1.55

* Mon May 28 2012 kharec <kharec> 1.54-1.mga3
+ Revision: 247930
- Update to 1.54 (many improves and bugfix)

* Tue Feb 21 2012 kharec <kharec> 1.53-1.mga2
+ Revision: 211581
- New version 1.53

* Mon Dec 12 2011 kharec <kharec> 1.52-1.mga2
+ Revision: 180843
- New version 1.52

* Sun Nov 20 2011 kharec <kharec> 1.51-1.mga2
+ Revision: 170013
- new version 1.51

* Sun Nov 20 2011 kharec <kharec> 1.47-1.mga2
+ Revision: 169901
- imported package cppcheck

